AbstractRowResolver (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.service
Class AbstractRowResolver

    java.lang.Object
      org.apache.cassandra.service.AbstractRowResolver

All Implemented Interfaces:
  IResponseResolver<Row>

Direct Known Subclasses:
  RowDigestResolver, RowRepairResolver

    public abstract class AbstractRowResolver

extends java.lang.Object
implements IResponseResolver<Row>

Field Summary
`protected DecoratedKey<?>` | `key`
`protected static org.slf4j.Logger` | `logger`
`protected java.util.concurrent.ConcurrentMap<Message,ReadResponse>` | `replies`
`protected java.lang.String` | `table`

Constructor Summary
`AbstractRowResolver(java.nio.ByteBuffer key, java.lang.String table)`

Method Summary
`int` | `getMaxLiveColumns()`
`java.lang.Iterable<Message>` | `getMessages()`
`void` | `injectPreProcessed(ReadResponse result)` hack so local reads don't force de/serialization of an extra real Message
`void` | `preprocess(Message message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cassandra.service.IResponseResolver
`getData, isDataPresent, resolve`

Field Detail

### logger

    protected static org.slf4j.Logger logger

### table

    protected final java.lang.String table

### replies

    protected final java.util.concurrent.ConcurrentMap<Message,ReadResponse> replies

### key

    protected final DecoratedKey<?> key

Constructor Detail

### AbstractRowResolver

    public AbstractRowResolver(java.nio.ByteBuffer key,
                               java.lang.String table)

Method Detail

### preprocess

    public void preprocess(Message message)

  Specified by:
    `preprocess` in interface `IResponseResolver<Row>`

### injectPreProcessed

    public void injectPreProcessed(ReadResponse result)

  hack so local reads don't force de/serialization of an extra real Message

### getMessages

    public java.lang.Iterable<Message> getMessages()

  Specified by:
    `getMessages` in interface `IResponseResolver<Row>`

### getMaxLiveColumns

    public int getMaxLiveColumns()

  Specified by:
    `getMaxLiveColumns` in interface `IResponseResolver<Row>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation